summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Panagiotis Nikolaou <hostmaster@slackonly.com>2015-01-23 06:11:45 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-23 06:11:45 +0700
commitcc4d69c908de65b64c6aa53d944a46c7ea4c3ba8 (patch)
treed9289eef3e26d3354d9978b2267a8619e8b494ae
parent876a3447fee974db459241ce46cc6f6e3d33c076 (diff)
downloadslackbuilds-cc4d69c908de65b64c6aa53d944a46c7ea4c3ba8.tar.gz
slackbuilds-cc4d69c908de65b64c6aa53d944a46c7ea4c3ba8.tar.xz
ham/gqrx: Added (software defined radio receiver).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--ham/gqrx/README31
-rw-r--r--ham/gqrx/doinst.sh13
-rw-r--r--ham/gqrx/gqrx.SlackBuild109
-rw-r--r--ham/gqrx/gqrx.info10
-rw-r--r--ham/gqrx/slack-desc19
5 files changed, 182 insertions, 0 deletions
diff --git a/ham/gqrx/README b/ham/gqrx/README
new file mode 100644
index 0000000000..08301d77c9
--- /dev/null
+++ b/ham/gqrx/README
@@ -0,0 +1,31 @@
+Gqrx is a software defined radio receiver powered by the
+GNU Radio SDR framework and the Qt graphical toolkit.
+Gqrx supports many of the SDR hardware available,
+including Funcube Dongles, rtl-sdr, HackRF and USRP devices.
+
+Gqrx has the following features:
+
+Discover devices attached to the computer.
+Process I/Q data from the supported devices.
+Change frequency, gain and apply various corrections (frequency, I/Q balance).
+AM, SSB, FM-N and FM-W (mono and stereo) demodulators.
+Special FM mode for NOAA APT.
+Variable band pass filter.
+AGC, squelch and noise blankers.
+FFT plot and waterfall.
+Record and playback audio to / from WAV file.
+Spectrum analyzer mode where all signal processing is disabled.
+
+NOTE:
+To successfully run gqrx you must build gr-osmosdr with
+support to your hardware (eg rtl-sdr,uhd) and have installed
+on your system the latest version of libusb (1.0.19)
+(you can grab it from slackware current)
+
+NOTE:
+If you use a DVB-T dongle keep in mind newer kernels already
+contains a DVB driver, however, we do not want to use this.
+The above "modprobe -r dvb_usb_rtl28xxu" command unloads this
+from the kernel, however for a permanent solution you will
+need to create the following file in /etc/modprobe.d/:
+rtl.conf and add this line: blacklist dvb_usb_rtl28xxu
diff --git a/ham/gqrx/doinst.sh b/ham/gqrx/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/ham/gqrx/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/ham/gqrx/gqrx.SlackBuild b/ham/gqrx/gqrx.SlackBuild
new file mode 100644
index 0000000000..6c1b2bfdfa
--- /dev/null
+++ b/ham/gqrx/gqrx.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for gqrx
+
+# Copyright 2015 Panagiotis Nikolaou, Karlovasi Samos, Gr
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gqrx
+VERSION=${VERSION:-2.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xJf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+qmake \
+ PREFIX=/usr \
+ QMAKE_LIBS="$SLKLDFLAGS" \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" ..
+ make
+make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+cd $TMP/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,64x64}/apps
+install -m644 gqrx.desktop $PKG/usr/share/applications/gqrx.desktop
+install -m644 icons/gqrx.svg $PKG/usr/share/pixmaps/gqrx.png
+install -m644 icons/gqrx.svg \
+ ${PKG}/usr/share/icons/hicolor/64x64/apps/gqrx.png
+convert icons/gqrx.svg -resize 16x16 \
+ ${PKG}/usr/share/icons/hicolor/16x16/apps/gqrx.png
+convert icons/gqrx.svg -resize 32x32 \
+ ${PKG}/usr/share/icons/hicolor/32x32/apps/gqrx.png
+convert icons/gqrx.svg -resize 48x48 \
+ ${PKG}/usr/share/icons/hicolor/48x48/apps/gqrx.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/gqrx/gqrx.info b/ham/gqrx/gqrx.info
new file mode 100644
index 0000000000..81eaeee900
--- /dev/null
+++ b/ham/gqrx/gqrx.info
@@ -0,0 +1,10 @@
+PRGNAM="gqrx"
+VERSION="2.3.2"
+HOMEPAGE="http://gqrx.dk"
+DOWNLOAD="http://optimate.dl.sourceforge.net/project/gqrx/2.3.2/gqrx-2.3.2.tar.xz"
+MD5SUM="2dae602db3e7d637a01c7deced7fad4f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gnuradio gr-osmosdr"
+MAINTAINER="Panagiotis Nikolaou"
+EMAIL="hostmaster@slackonly.com"
diff --git a/ham/gqrx/slack-desc b/ham/gqrx/slack-desc
new file mode 100644
index 0000000000..87ee326df8
--- /dev/null
+++ b/ham/gqrx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gqrx: gqrx (software defined radio receiver)
+gqrx:
+gqrx: Gqrx is a software defined radio receiver powered by the
+gqrx: GNU Radio SDR framework and the Qt graphical toolkit.
+gqrx: Gqrx supports many of the SDR hardware available,
+gqrx: including Funcube Dongles, rtl-sdr, HackRF and USRP devices.
+gqrx:
+gqrx: homepage: http://gqrx.dk
+gqrx:
+gqrx:
+gqrx: